[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Forms' (#lcl)

# TScreen.DesktopTop

The top-most coordinate for the desktop.

## Declaration

Source position: forms.pp line 1282

`public property TScreen.DesktopTop : Integer read GetDesktopTop;`

## Description

DesktopTop is a read-only Integer property with the top coordinate for the desktop. The property value contains the virtual screen coordinate returned from GetSystemMetrics for the SM_YVIRTUALSCREEN parameter.

DesktopTop is used in the MoveToDefaultPosition method in TCustomForm. The values in DesktopLeft, DesktopTop, DesktopWidth and DesktopHeight are also assigned to members in the DesktopRect property.

## See also

TScreen.DesktopRect |  | Bounds rectangle for the desktop spanning all monitors.
TCustomForm.MoveToDefaultPosition |  | Moves the form to the location specified in the Position property.